Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		PyKDE
Version:	3.16.0
Release:	1
License:	GNU/GPL 
URL:		http://www.riverbankcomputing.co.uk/pykde/
Group:		Development/Python
Source0:	%{name}-%{version}.tar.gz
Patch0:		configure.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	PyKDE is a set of Python bindings for the KDE desktop environment.
Requires:	sip python >= 2.5 PyQt
BuildRequires:	sip-devel PyQt-devel

%description
PyKDE is a set of Python bindings for the KDE desktop environment.
For more details see: http://www.riverbankcomputing.co.uk/pykde/

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0

%build
python configure.py -k %_kdedir
make

%install
mkdir -p $RPM_BUILD_ROOT%_kdelibdir
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Sep 25 2006 Christian Metzen <metzench@ccux-linux.de> 3.16.0-1
- Version update, python 2.5, added patch
* Thu May 11 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 20060422-1
- Version Update
* Wed Aug 31 2005 Christian Wasem <wasem@ccux-linux.de> 20050829-1
- Initial Release  
